Summary:        Terminal emulator for MATE
Name:           mate-terminal
Version:        1.14.0
Release:        %mkrel 1
License:        GPLv3+
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/1.8/%{name}-%{version}.tar.xz
Source1:	%name-root.desktop
Group:		Graphical desktop/Mate
Patch0: 	better_defaults.patch
#----------------------------------------------
BuildRequires: desktop-file-utils
BuildRequires: mate-common
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}dconf-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}ice-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}sm-devel
BuildRequires: %{_lib}vte-devel
BuildRequires: %{_lib}x11-devel
#----------------------------------------------

%description
Mate-terminal is a terminal emulator for MATE. It supports translucent
backgrounds, opening multiple terminals in a single window (tabs) and
clickable URLs.


%package root
Summary: root terminal for %name
Group: Graphical desktop/Mate
Requires: %name
Requires: gksu
BuildArch: noarch

%description root
Root terminal for %{name}


%prep
%setup -q
%patch0 -p1

%build
%configure2_5x --disable-static            \
           --with-gtk=2.0                  \
           --disable-scrollkeeper          \
           --disable-schemas-compile       
       
%make

%install
rm -rf %buildroot
make DESTDIR=%{buildroot} install
%find_lang %{name}

#root terminal
install -m 0644 %SOURCE1 %buildroot%{_datadir}/applications/%name-root.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-TerminalEmulator" \
  --dir %buildroot%{_datadir}/applications %buildroot%{_datadir}/applications/*

  
  
%post
/usr/bin/update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi
update-desktop-database &> /dev/null || :

%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_mandir}/man1/*
%{_bindir}/mate-terminal
%{_datadir}/mate-terminal
%{_datadir}/applications/mate-terminal.desktop
%{_datadir}/glib-2.0/schemas/org.mate.terminal.gschema.xml
%{_bindir}/mate-terminal.wrapper
%{_datadir}/help
%{_datadir}/appdata/mate-terminal.appdata.xml

%files root
%defattr(-,root,root,-)
%{_datadir}/applications/mate-terminal-root.desktop


%clean
rm -rf %buildroot

%changelog
* Fri Apr 08 2016 bb <bb> 1.14.0-1pclos2016
- update

* Sat Dec 05 2015 bb <bb> 1.12.1-1pclos2015
- update

* Fri Nov 06 2015 bb <bb> 1.12.0-1pclos2015
- update

* Thu Oct 15 2015 bb <bb> 1.10.1-2pclos2015
- rebuild for updates

